CVE-2018-8014

Priority
Description
The defaults settings for the CORS filter provided in Apache Tomcat
9.0.0.M1 to 9.0.8, 8.5.0 to 8.5.31, 8.0.0.RC1 to 8.0.52, 7.0.41 to 7.0.88
are insecure and enable 'supportsCredentials' for all origins. It is
expected that users of the CORS filter will have configured it
appropriately for their environment rather than using it in the default
configuration. Therefore, it is expected that most users will not be
impacted by this issue.
Assigned-to
mdeslaur
Notes
Package
Upstream:released (7.0.72-3)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):released (7.0.52-1ubuntu0.14)
Ubuntu 16.04 LTS (Xenial Xerus):needed
Ubuntu 18.04 LTS (Bionic Beaver):not-affected
Ubuntu 19.04 (Disco Dingo):DNE
Ubuntu 19.10 (Eoan):DNE
Patches:
Upstream:https://svn.apache.org/r1831730 (7.0.x)
Package
Upstream:released (8.0.53,8.5.32)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):released (8.0.32-1ubuntu1.6)
Ubuntu 18.04 LTS (Bionic Beaver):released (8.5.30-1ubuntu1.2)
Ubuntu 19.04 (Disco Dingo):DNE
Ubuntu 19.10 (Eoan):DNE
Patches:
Upstream:https://svn.apache.org/r1831728 (8.5.x)
Upstream:https://svn.apache.org/r1831729 (8.0.x)
Package
Upstream:released (8.0.53)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE
Ubuntu 16.04 LTS (Xenial Xerus):DNE
Ubuntu 18.04 LTS (Bionic Beaver):DNE
Ubuntu 19.04 (Disco Dingo):DNE
Ubuntu 19.10 (Eoan):DNE
Patches:
Upstream:https://svn.apache.org/r1831728 (8.5.x)
Upstream:https://svn.apache.org/r1831729 (8.0.x)
More Information

Updated: 2019-10-09 06:49:23 UTC (commit 33aea848a182c0afcd0a3f927a01a7ecd9a061ee)